Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024037
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminoralways2013-06-10 18:252013-07-23 18:22
ReporterOrekariaView Statuspublic 
Assigned Tomarvintm 
PrioritynormalResolutionfixedFixed in VersionRMP24
StatusclosedFix in branchFixed in SCM revisionaf1ba2df889d
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024037: Bubble messages are being overlapped

DescriptionBubble messages are being overlapped
Steps To ReproduceOpen the POS
Add a product
Mark as layaway
Mark as invoice
Tap on the total amount button
Tap on the layaway option
Three messages are shown consecutively in three bubbles
Proposed SolutionOverhaul the message logic
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0059408)
hgbot (developer)
2013-06-13 11:18

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: af1ba2df889dda24dd1f274df16d92998f23572f
Author: Rafa Alonso <ral <at> openbravo.com>
Date: Thu Jun 13 11:16:56 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/af1ba2df889dda24dd1f274df16d92998f23572f [^]

Fixed issue 24037: A new fancy message bubble has been added

---
M web/org.openbravo.mobile.core/source/component/ob-terminal-component.js
M web/org.openbravo.mobile.core/source/utils/ob-utilitiesui.js
---
(0059467)
hgbot (developer)
2013-06-17 17:57

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: c8f3429ba59a7300b8f4f4df070fb9b46e606ddc
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Mon Jun 17 17:57:01 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/c8f3429ba59a7300b8f4f4df070fb9b46e606ddc [^]

Related to issue 24037. Changed the time each message type will stay

---
M web/org.openbravo.mobile.core/source/utils/ob-utilitiesui.js
---
(0059482)
hgbot (developer)
2013-06-18 12:24

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 8832f400842727b6056758497f02a591eee86a6e
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Jun 18 12:24:01 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/8832f400842727b6056758497f02a591eee86a6e [^]

Related to issue 24037. Return the alert object always in the utility showWarning/Success/Error methods

---
M web/org.openbravo.mobile.core/source/utils/ob-utilitiesui.js
---
(0059483)
hgbot (developer)
2013-06-18 12:26

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 66880993dfcdaf47f18d5df356aa9481f6326dfc
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Jun 18 12:26:00 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/66880993dfcdaf47f18d5df356aa9481f6326dfc [^]

Related to issue 24037. Hide previous 'processing orders' message in case the order order was sent correctly

---
M web/org.openbravo.retail.posterminal/js/utils/ordersSyncUtils.js
---
(0059726)
hgbot (developer)
2013-06-28 10:15

Repository: erp/pmods/org.openbravo.mobile.core.multiorder
Changeset: af1ba2df889dda24dd1f274df16d92998f23572f
Author: Rafa Alonso <ral <at> openbravo.com>
Date: Thu Jun 13 11:16:56 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core.multiorder/rev/af1ba2df889dda24dd1f274df16d92998f23572f [^]

Fixed issue 24037: A new fancy message bubble has been added

---
M web/org.openbravo.mobile.core/source/component/ob-terminal-component.js
M web/org.openbravo.mobile.core/source/utils/ob-utilitiesui.js
---
(0059733)
hgbot (developer)
2013-06-28 10:21

Repository: erp/pmods/org.openbravo.mobile.core.multiorder
Changeset: c8f3429ba59a7300b8f4f4df070fb9b46e606ddc
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Mon Jun 17 17:57:01 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core.multiorder/rev/c8f3429ba59a7300b8f4f4df070fb9b46e606ddc [^]

Related to issue 24037. Changed the time each message type will stay

---
M web/org.openbravo.mobile.core/source/utils/ob-utilitiesui.js
---
(0059734)
hgbot (developer)
2013-06-28 10:21

Repository: erp/pmods/org.openbravo.mobile.core.multiorder
Changeset: 8832f400842727b6056758497f02a591eee86a6e
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Jun 18 12:24:01 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core.multiorder/rev/8832f400842727b6056758497f02a591eee86a6e [^]

Related to issue 24037. Return the alert object always in the utility showWarning/Success/Error methods

---
M web/org.openbravo.mobile.core/source/utils/ob-utilitiesui.js
---
(0059757)
hgbot (developer)
2013-06-28 10:29

Repository: erp/pmods/org.openbravo.retail.posterminal.multiorder
Changeset: 66880993dfcdaf47f18d5df356aa9481f6326dfc
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Jun 18 12:26:00 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/66880993dfcdaf47f18d5df356aa9481f6326dfc [^]

Related to issue 24037. Hide previous 'processing orders' message in case the order order was sent correctly

---
M web/org.openbravo.retail.posterminal/js/utils/ordersSyncUtils.js
---
(0060197)
guilleaer (developer)
2013-07-23 18:22

reclosing

- Issue History
Date Modified Username Field Change
2013-06-10 18:25 Orekaria New Issue
2013-06-10 18:25 Orekaria Assigned To => marvintm
2013-06-13 11:18 hgbot Checkin
2013-06-13 11:18 hgbot Note Added: 0059408
2013-06-13 11:18 hgbot Status new => resolved
2013-06-13 11:18 hgbot Resolution open => fixed
2013-06-13 11:18 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/af1ba2df889dda24dd1f274df16d92998f23572f [^]
2013-06-17 17:57 hgbot Checkin
2013-06-17 17:57 hgbot Note Added: 0059467
2013-06-18 12:24 hgbot Checkin
2013-06-18 12:24 hgbot Note Added: 0059482
2013-06-18 12:26 hgbot Checkin
2013-06-18 12:26 hgbot Note Added: 0059483
2013-06-18 13:11 marvintm Review Assigned To => marvintm
2013-06-18 13:11 marvintm Status resolved => closed
2013-06-18 13:11 marvintm Fixed in Version => RMP24
2013-06-28 10:15 hgbot Checkin
2013-06-28 10:15 hgbot Note Added: 0059726
2013-06-28 10:15 hgbot Status closed => resolved
2013-06-28 10:15 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/af1ba2df889dda24dd1f274df16d92998f23572f [^] => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core.multiorder/rev/af1ba2df889dda24dd1f274df16d92998f23572f [^]
2013-06-28 10:21 hgbot Checkin
2013-06-28 10:21 hgbot Note Added: 0059733
2013-06-28 10:21 hgbot Checkin
2013-06-28 10:21 hgbot Note Added: 0059734
2013-06-28 10:29 hgbot Checkin
2013-06-28 10:29 hgbot Note Added: 0059757
2013-07-23 18:22 guilleaer Note Added: 0060197
2013-07-23 18:22 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker